Package org.eclipse.net4j.util.container

## Class SingleDeltaContainerEvent<E>

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.net4j.util.event.Event
    - - org.eclipse.net4j.util.container.SingleDeltaContainerEvent<E>

- All Implemented Interfaces:
    `java.io.Serializable`, `IContainerEvent<E>`, `IEvent`

      public class SingleDeltaContainerEvent<E>
      extends Event
      implements IContainerEvent<E>

  A `container event` with a single element `delta`.
  Author:
    Eike Stepper
  See Also:
    Serialized Form
  No Extend
    This class is not intended to be subclassed by clients.

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SingleDeltaContainerEvent​(IContainer<E> container, E element, IContainerDelta.Kind kind)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `accept​(IContainerEventVisitor<E> visitor)` |
    `IContainerDelta<E>` | `getDelta()` |
    `E` | `getDeltaElement()` |
    `IContainerDelta.Kind` | `getDeltaKind()` |
    `IContainerDelta<E>[]` | `getDeltas()` |
    `IContainer<E>` | `getSource()` |
    `boolean` | `isEmpty()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class org.eclipse.net4j.util.event.Event

      `formatAdditionalParameters, formatEventName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleDeltaContainerEvent

          public SingleDeltaContainerEvent​(IContainer<E> container,
                                           E element,
                                           IContainerDelta.Kind kind)

  - ### Method Detail

    - #### getSource

          public IContainer<E> getSource()

      Specified by:
        `getSource` in interface `IContainerEvent<E>`
      Specified by:
        `getSource` in interface `IEvent`
      Overrides:
        `getSource` in class `Event`
      Since:
        3.0

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `IContainerEvent<E>`

    - #### getDeltas

          public IContainerDelta<E>[] getDeltas()

      Specified by:
        `getDeltas` in interface `IContainerEvent<E>`

    - #### getDelta

          public IContainerDelta<E> getDelta()
                                      throws java.lang.IllegalStateException

      Specified by:
        `getDelta` in interface `IContainerEvent<E>`
      Throws:
        `java.lang.IllegalStateException`

    - #### getDeltaElement

          public E getDeltaElement()
                            throws java.lang.IllegalStateException

      Specified by:
        `getDeltaElement` in interface `IContainerEvent<E>`
      Throws:
        `java.lang.IllegalStateException`

    - #### getDeltaKind

          public IContainerDelta.Kind getDeltaKind()
                                            throws java.lang.IllegalStateException

      Specified by:
        `getDeltaKind` in interface `IContainerEvent<E>`
      Throws:
        `java.lang.IllegalStateException`

    - #### accept

          public void accept​(IContainerEventVisitor<E> visitor)

      Specified by:
        `accept` in interface `IContainerEvent<E>`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Event`